summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-embedded/upslug2')
-rw-r--r--dev-embedded/upslug2/Manifest1
-rw-r--r--dev-embedded/upslug2/metadata.xml9
-rw-r--r--dev-embedded/upslug2/upslug2-11.ebuild19
3 files changed, 29 insertions, 0 deletions
diff --git a/dev-embedded/upslug2/Manifest b/dev-embedded/upslug2/Manifest
new file mode 100644
index 00000000000..1bf8765b252
--- /dev/null
+++ b/dev-embedded/upslug2/Manifest
@@ -0,0 +1 @@
+DIST upslug2-11.tar.gz 129619 SHA256 24859c992fb58f0bf4840e1378da91b942c73263b0213096e6755436af8d16bc SHA512 6814a237387b60aa20cc26bbd7ff9e886510d627849b13097e7473aa38501810b1d1871cfdc4f5a44eea2b375c3b58b1e59dcfd5b39178de33600b2a0aa94117 WHIRLPOOL 4d943dbd33a1bfe8b56d814808d7a45d3fe24d6239db8129a347b1c20ce89b92feb361f5dd8e082d831c9937dae43e1aa0db8ba16e53d8bdbaf378591c907dbd
diff --git a/dev-embedded/upslug2/metadata.xml b/dev-embedded/upslug2/metadata.xml
new file mode 100644
index 00000000000..581cfc47367
--- /dev/null
+++ b/dev-embedded/upslug2/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>embedded</herd>
+ <herd>arm</herd>
+ <upstream>
+ <remote-id type="sourceforge">nslu</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-embedded/upslug2/upslug2-11.ebuild b/dev-embedded/upslug2/upslug2-11.ebuild
new file mode 100644
index 00000000000..d2a4a952373
--- /dev/null
+++ b/dev-embedded/upslug2/upslug2-11.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="util for flashing NSLU2 machines remotely"
+HOMEPAGE="http://www.nslu2-linux.org/wiki/Main/UpSlug2"
+SRC_URI="mirror://sourceforge/nslu/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm x86"
+IUSE=""
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+ mv "${D}"/usr/{sbin,bin} || die
+ fperms 4711 /usr/bin/upslug2
+ dodoc AUTHORS ChangeLog NEWS README*
+}